# Docker
# Build and push an image to Azure Container Registry
# https://docs.microsoft.com/azure/devops/pipelines/languages/docker

trigger:
- master

resources:
- repo: self

variables:
  # Container registry service connection established during pipeline creation
  dockerRegistryServiceConnection: 'bcb9f66a-381c-4ffb-9673-e5ac16640844'
  imageRepository: 'dureforcepostservice'
  containerRegistry: 'dureforce.azurecr.io'
  dockerfilePath: '**/DockerfilePostService'
  tag: '$(Build.BuildId)'

  # Agent VM image name
  vmImageName: 'ubuntu-latest'

stages:
- stage: Build
  displayName: Build and push stage
  jobs:
  - job: Build
    displayName: Build
    pool:
      vmImage: $(vmImageName)
    steps:
    - task: Docker@2
      displayName: Build and push an image to container registry
      inputs:
        command: buildAndPush
        repository: $(imageRepository)
        dockerfile: $(dockerfilePath)
        containerRegistry: $(dockerRegistryServiceConnection)
        tags: |
            $(tag)
    - task: Kubernetes@1
      inputs:
        connectionType: 'Azure Resource Manager'
        azureSubscriptionEndpoint: 'eidlabDureSameen(cfb9ec36-dd10-4e57-9559-6847fe8f67ff)'
        azureResourceGroup: 'dureforce-dev'
        kubernetesCluster: 'remoterise-k8s'
        namespace: 'staging'
        command: 'set'
        arguments: 'image deployment/staging-postservice postservice=$(containerRegistry)/$(imageRepository):$(tag)'
        secretType: 'dockerRegistry'
        containerRegistryType: 'Azure Container Registry'